curl_share_close
curl_share_setopt
cURL Functions
PHP Manual

# curl_share_init

(PHP 5 >= 5.5.0, PHP 7)

curl_share_init — Initialize a cURL share handle

### Description

resource curl_share_init ( void )

Allows to share data between cURL handles.

### Parameters

This function has no parameters.

### Return Values

Returns resource of type "cURL Share Handle".

### Examples

Example #1 curl_share_init() example

This example will create a cURL share handle, add two cURL handles to it, and then run them with cookie data sharing.

`<?php
// Create cURL share handle and set it to share cookie data
$sh = curl_share_init();
curl_share_setopt($sh, CURLSHOPT_SHARE, CURL_LOCK_DATA_COOKIE);
// Initialize the first cURL handle and assign the share handle to it
$ch1 = curl_init("http://example.com/");
curl_setopt($ch1, CURLOPT_SHARE, $sh);
// Execute the first cURL handle
curl_exec($ch1);
// Initialize the second cURL handle and assign the share handle to it
$ch2 = curl_init("http://php.net/");
curl_setopt($ch2, CURLOPT_SHARE, $sh);
// Execute the second cURL handle
// all cookies from $ch1 handle are shared with $ch2 handle
curl_exec($ch2);
// Close the cURL share handle
curl_share_close($sh);
// Close the cURL handles
curl_close($ch1);
curl_close($ch2);
?>`

### See Also

- curl_share_setopt() - Set an option for a cURL share handle.
- curl_share_close() - Close a cURL share handle

curl_share_close
curl_share_setopt
cURL Functions
PHP Manual